%bcond_without bootstrap

%define url_ver %(echo %{version}|cut -d. -f1,2)

# filter out plugin .so provides
%global __provides_exclude_from %{_libdir}/%{name}/.*\\.so

Summary:       MATE Desktop settings daemon
Name:          mate-settings-daemon
Version:       1.28.0
Release:       %mkrel 1
License:       GPLv2+
Group:         Graphical desktop/MATE
URL:           https://mate-desktop.org/
Source0:       https://pub.mate-desktop.org/releases/%{url_ver}/%{name}-%{version}.tar.xz
Patch0:        mate-settings-daemon-1.10.0-mga-fix_underlinking.patch

BuildRequires: pkgconfig(gtk+-3.0)
BuildRequires: pkgconfig(libcanberra-gtk3)
BuildRequires: intltool
BuildRequires: pkgconfig(dbus-glib-1)
BuildRequires: pkgconfig(fontconfig)
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(ice)
BuildRequires: pkgconfig(dconf)
BuildRequires: pkgconfig(mate-desktop-2.0) >= %{url_ver}
BuildRequires: pkgconfig(libmatekbd) >= %{url_ver}
BuildRequires: pkgconfig(libnotify)
BuildRequires: pkgconfig(libxklavier)
BuildRequires: pkgconfig(nss)
BuildRequires: pkgconfig(polkit-gobject-1)
BuildRequires: pkgconfig(x11)
BuildRequires: pkgconfig(xfixes)
BuildRequires: pkgconfig(xi)
BuildRequires: pkgconfig(sm)
BuildRequires: pkgconfig(libmatemixer) >= %{url_ver}
BuildRequires: pkgconfig(libpulse)

%if %{without bootstrap}
Requires:      mate-control-center >= %{url_ver}
%endif

# We don't have mate-settings-daemon-pulse or mate-settings-daemon-gstreamer:
Requires:      matemixer-backend >= %{url_ver}

Requires:      mate-settings-daemon-schemas >= %{version}-%{release}

%description
MATE settings daemon manages the configuration of the desktop in the
background.

%package -n %{name}-devel
Summary:    Include files for the MATE settings daemon
Group:      Development/GNOME and GTK+
Requires:   %{name} = %{version}-%{release}

%description -n	%{name}-devel
Include files for the MATE settings daemon

%package schemas
Summary:    Gsettings schemas for %{name}
Group:      Graphical desktop/MATE

%description schemas
This package contains gsettings schemas for %{name} package.

%prep
%autosetup -p1

%build
# Neeed by patch0
autoreconf -fi
%configure                         \
   --enable-pulse                      \
   --disable-static                    \
   --disable-schemas-compile           \
   --enable-polkit                     \
   --with-x                            \
   --with-nssdb                        \
   --enable-profiling

%make_build

%install
%make_install

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README ChangeLog
%{_sysconfdir}/xdg/autostart/mate-settings-daemon.desktop
%dir %{_sysconfdir}/xrdb
%{_sysconfdir}/xrdb/*.ad
%{_libdir}/%{name}/liba11y-keyboard.so
%{_libdir}/%{name}/liba11y-settings.so
%{_libdir}/%{name}/libsound.so
%{_libdir}/%{name}/libkeybindings.so
%{_libdir}/%{name}/libmpris.so
%{_libdir}/%{name}/libxrandr.so
%{_libdir}/%{name}/libbackground.so
%{_libdir}/%{name}/libkeyboard.so
%{_libdir}/%{name}/libsmartcard.so
%{_libdir}/%{name}/libxrdb.so
%{_libdir}/%{name}/libclipboard.so
%{_libdir}/%{name}/libxsettings.so
%{_libdir}/%{name}/libhousekeeping.so
%{_libdir}/%{name}/libmouse.so
%{_libdir}/%{name}/libtyping-break.so
%{_libdir}/%{name}/libmedia-keys.so
%{_libdir}/%{name}/*.mate-settings-plugin
%{_libdir}/%{name}/librfkill.so
%{_udevrulesdir}/61-mate-settings-daemon-rfkill.rules
%{_libexecdir}/*
%{_datadir}/dbus-1/services/org.mate.SettingsDaemon.service
%{_datadir}/dbus-1/system-services/org.mate.SettingsDaemon.DateTimeMechanism.service
%{_datadir}/dbus-1/system.d/org.mate.SettingsDaemon.DateTimeMechanism.conf
%{_iconsdir}/hicolor/*/apps/msd-xrandr.*
%{_datadir}/%{name}/
%{_datadir}/mate-control-center/keybindings/50-accessibility.xml
%{_datadir}/polkit-1/actions/org.mate.settingsdaemon.datetimemechanism.policy
%{_mandir}/man1/mate-settings-daemon.1*
%{_mandir}/man1/msd-datetime-mechanism.1*
%{_mandir}/man1/msd-locate-pointer.1*

%files -n %{name}-devel
%{_includedir}/%{name}/
%{_libdir}/pkgconfig/*

%files schemas
%{_datadir}/glib-2.0/schemas/org.mate.*.xml


%changelog
* Sun Mar 24 2024 wally <wally> 1.28.0-1.mga10
+ Revision: 2051731
- new version 1.28.0 with bootstrap build

* Sun Jun 11 2023 daviddavid <daviddavid> 1.26.1-2.mga9
+ Revision: 1961754
- remove unmaintained xf86misc support now disable by default (fix mga#31867)

* Tue May 30 2023 kekepower <kekepower> 1.26.1-1.mga9
+ Revision: 1959803
- Update to version 1.26.1

* Thu Mar 31 2022 umeabot <umeabot> 1.26.0-3.mga9
+ Revision: 1836992
- Mageia 9 Mass Rebuild

* Mon Aug 09 2021 wally <wally> 1.26.0-2.mga9
+ Revision: 1740843
- disable bootstrap build

* Sat Aug 07 2021 wally <wally> 1.26.0-1.mga9
+ Revision: 1740026
- new version 1.26.0
- enable bootstrap build

* Mon Apr 05 2021 kekepower <kekepower> 1.24.2-1.mga9
+ Revision: 1713565
- Update to version 1.24.2

* Mon Nov 30 2020 kekepower <kekepower> 1.24.1-3.mga8
+ Revision: 1650767
- Relax BuildRequires

* Thu Nov 19 2020 kekepower <kekepower> 1.24.1-2.mga8
+ Revision: 1647792
- Fix dependency on matemixer

* Mon Aug 24 2020 kekepower <kekepower> 1.24.1-1.mga8
+ Revision: 1618721
- Update to version 1.24.1

* Sat Jul 11 2020 wally <wally> 1.24.0-5.mga8
+ Revision: 1605277
- split out gschemas
+ danf <danf>
- Switch URLs from http: to https:

* Thu Mar 26 2020 kekepower <kekepower> 1.24.0-4.mga8
+ Revision: 1560642
- Bump rel
- Conflicts mate-desktop-schemas < 1.23.0 to ease mga7 upgrade path

* Fri Feb 21 2020 umeabot <umeabot> 1.24.0-3.mga8
+ Revision: 1547913
- Mageia 8 Mass Rebuild

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-2.mga8
+ Revision: 1488717
- Non-bootstrap build

* Tue Feb 11 2020 kekepower <kekepower> 1.24.0-1.mga8
+ Revision: 1488699
- Bootstrap build
- Update to version 1.24.0
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Dec 10 2019 kekepower <kekepower> 1.22.1-5.mga8
+ Revision: 1465769
- Non-bootstrap build

* Tue Dec 10 2019 kekepower <kekepower> 1.22.1-4.mga8
+ Revision: 1465765
- Relax dependencies
- Non-bootstrap build

* Tue Dec 10 2019 kekepower <kekepower> 1.22.1-3.mga8
+ Revision: 1465745
- Bootstrap build

* Tue Dec 10 2019 kekepower <kekepower> 1.22.1-2.mga8
+ Revision: 1465744
- Rebase Patch0
- Non bootstrap build
- Bootstrap build
- Update to version 1.22.1

* Thu Mar 14 2019 kekepower <kekepower> 1.22.0-2.mga7
+ Revision: 1375930
+ rebuild (emptylog)

* Wed Mar 13 2019 kekepower <kekepower> 1.22.0-1.mga7
+ Revision: 1375484
- Update to version 1.22.0

* Sun Dec 23 2018 kekepower <kekepower> 1.20.4-1.mga7
+ Revision: 1344740
- Update to version 1.20.4

* Sat Dec 01 2018 kekepower <kekepower> 1.20.3-1.mga7
+ Revision: 1337265
- Update to version 1.20.3
- Rolled back to r1299481

* Mon Nov 26 2018 kekepower <kekepower> 1.21.1-1.mga7
+ Revision: 1335689
- Fix file list
- Update to version 1.21.1

* Sun Sep 23 2018 umeabot <umeabot> 1.20.0-2.mga7
+ Revision: 1299481
- Mageia 7 Mass Rebuild

* Thu Feb 15 2018 tarakbumba <tarakbumba> 1.20.0-1.mga7
+ Revision: 1201352
- Updated to 1.20.0 version

* Sat Dec 30 2017 tarakbumba <tarakbumba> 1.19.1-1.mga7
+ Revision: 1187411
- Updated to 1.19.1 version

* Sun Oct 29 2017 tarakbumba <tarakbumba> 1.19.0-1.mga7
+ Revision: 1174623
- Update to 1.19.0 version

* Wed Apr 05 2017 tarakbumba <tarakbumba> 1.18.1-1.mga7
+ Revision: 1095997
- Update to 1.18.1 version

* Tue Mar 14 2017 tarakbumba <tarakbumba> 1.18.0-1.mga6
+ Revision: 1092541
- Update to 1.18.0 version
- Update to 1.17.1 version
- Update to 1.17.0 version
- Clean up gtk2 references from specfile

* Sat Dec 24 2016 wally <wally> 1.16.0-2.mga6
+ Revision: 1076695
- BR XFree86 Misc Extension Library

* Sat Dec 24 2016 wally <wally> 1.16.0-1.mga6
+ Revision: 1076686
- new version 1.16.0
- build with gtk3

* Thu Apr 14 2016 tarakbumba <tarakbumba> 1.14.0-1.mga6
+ Revision: 1001200
- Update to 1.14.0 version

* Sun Feb 07 2016 tarakbumba <tarakbumba> 1.13.0-1.mga6
+ Revision: 942446
- Update to 1.13.0 version

* Fri Dec 04 2015 tarakbumba <tarakbumba> 1.12.1-1.mga6
+ Revision: 908153
- Update to 1.12.1 version

* Sun Nov 08 2015 tarakbumba <tarakbumba> 1.12.0-1.mga6
+ Revision: 898502
-Update to 1.12.0 version

* Sat Sep 05 2015 wally <wally> 1.10.2-1.mga6
+ Revision: 873038
- new version 1.10.2

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-2.mga6
+ Revision: 837340
- Fix requires:matemixer-backend

* Sun Jun 21 2015 tarakbumba <tarakbumba> 1.10.0-1.mga6
+ Revision: 837271
- Update to 1.10.0 version

* Sat Jun 20 2015 tarakbumba <tarakbumba> 1.8.2-3.mga6
+ Revision: 836150
- Fix obsoletes tags (mga#16066)

* Wed Oct 15 2014 umeabot <umeabot> 1.8.2-2.mga5
+ Revision: 744458
- Second Mageia 5 Mass Rebuild

* Sun Sep 28 2014 tarakbumba <tarakbumba> 1.8.2-1.mga5
+ Revision: 731502
- Update to 1.8.2 version

* Tue Sep 16 2014 umeabot <umeabot> 1.8.1-3.mga5
+ Revision: 682204
- Mageia 5 Mass Rebuild
+ tv <tv>
- auto convert _exclude_files_from_autoreq
+ tarakbumba <tarakbumba>
- Obsolete common package, not needed now.
- Require virtual *-sound package to allow users choose from pulse or gst backends.
- *-pulse and *-gstreamer packages now provides virtual *-sound package.

* Tue May 06 2014 tarakbumba <tarakbumba> 1.8.1-1.mga5
+ Revision: 620903
- Update to 1.8.1 version

* Wed Mar 05 2014 tarakbumba <tarakbumba> 1.8.0-1.mga5
+ Revision: 600086
- Updated to version 1.8.0

* Sat Mar 01 2014 tarakbumba <tarakbumba> 1.7.90-1.mga5
+ Revision: 598130
- Update to 1.7.x version

* Sat Oct 19 2013 umeabot <umeabot> 1.6.1-2.mga4
+ Revision: 531050
- Mageia 4 Mass Rebuild

* Wed Jul 31 2013 malo <malo> 1.6.1-1.mga4
+ Revision: 461736
- fix RPM group
+ tarakbumba <tarakbumba>
- update a new version
- imported package mate-settings-daemon

